using System;
using System.Collections.Generic;
using System.Text;
using Halo3Map.IO;
using Halo3Map.Data;

namespace Halo3Map.Tags.Layouts
{
    [Tag("shade45", "bitm", 0.2)]
    public class bitm : H3Tag
    {
        [Size(4)]
        public byte[] unused;
        public int Unknown;
        [Size(8)]
        public byte[] unused8;
        public int Unknown16;
        [Size(76)]
        public byte[] unused20;

        public H3Reflexive<Bitmap_Data> bitmap_Data;
        [Size(48)]
        public class Bitmap_Data : Chunk
        {
            [Size(4)]
            public char[] Tag;
            public short Width;
            public short Height;
            public int Unknown8;
            public short Unknown12;
            public short Unknown14;
            public int Unknown16;
            public int Unknown20;
            public int Unknown24;
            public int Unknown28;
            public int Unknown32;
            public short Unknown36;
            public short Unknown38;
            public int Unknown40;
            public int Unknown44;
        }

        [Size(32)]
        public byte[] unused108;

        public H3Reflexive<Raw_Data> raw_Data;
        [Size(8)]
        public class Raw_Data : Chunk
        {
            public short Raw_Ident;
            public short Raw_Index;
            public int Unknown4;
        }

        public H3Reflexive<Unknown152> unknown152;
        [Size(8)]
        public class Unknown152 : Chunk
        {
            public int Unknown;
            public int Unknown4;
        }
    }
}
